Skip to main content
POST
Update An Email

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

email_id
string
required

Body

application/json
bcc
string<email>[]
body
string
cc
string<email>[]
email_sender
string

The EmailSender identifier, (e.g. sndr_abc123).

email_template
string

The EmailTemplate identifier, (e.g. eml_tmpl_abc123).

partner
string

The Partner identifier, (e.g. ptn_abc123).

reply_to
string<email>[]
subject
string
to
string<email>[]

Response

Successful response

object
string
required
thread_id
string
required
Maximum string length: 32
id
string
Maximum string length: 32
attachments
object[]
author
object
author_id
string | null
Maximum string length: 32
bcc
string[]
body
string | null

The HTML body of the email.

bounced_addresses
string[]

List of email addresses that bounced for this email

bulk_email_request_id
string | null
Maximum string length: 32
cc
string[]
created_at
string<date-time>
custom_headers
any | null

Custom email headers

direction
enum<string>

The request direction of the email. Either inbound or outbound

Available options:
inbound,
outbound
Maximum string length: 8
email_reason
string | null

The reason the email was sent.

email_sender
object
email_sender_id
string | null
Maximum string length: 32
error_message
string | null

The error message if the email failed to send.

from_email
string
generated_body
string | null

Saves LLM-generated body of the email. Diffed against email body when email is sent to get user changes.

is_automated
boolean

Whether the email was automatically sent by a workflow or an AI agent.

is_generated
boolean

Whether the email was automatically generated by a workflow or an AI agent.

is_originated_in_stuut
boolean

Whether the email originated (was sent through) Stuut.

is_unread
boolean
modified_at
string<date-time> | null
parent_email_id
string | null
Maximum string length: 32
participants
string<email>[]
remote_id
string | null

The Nylas ID of the email

reply_to
string[]
send_separately
boolean
sent_at
string<date-time> | null

When the email was sent.

sent_by_id
string | null
Maximum string length: 32
snippet
string | null
status
enum<string>
Available options:
draft,
pending,
sending,
sent,
error
Maximum string length: 7
subject
string | null
to
string[]